//  tray.h
//
//	tray
//
//	Copyright (c) 2005 N099
//
#ifndef _TRAY_H_
#define _TRAY_H_

#include <shellapi.h>

interface IHWDeint;

class TrayIcon
{
private:
	ATOM m_hAtom;
	HWND m_hWnd;
	HINSTANCE m_hi;
	NOTIFYICONDATA m_nid;
	HMENU m_hMenu;
	HMENU m_hMenuTop;
	IHWDeint *m_ihwd;

	CFG_AR  m_ar;
	CFG_AM2 m_am2;
	CFG_VIF2 m_vif2;

	bool m_visible;
	volatile LONG m_prop_shown;
public:
	TrayIcon(IHWDeint* ihwd);
	~TrayIcon();
	void show_prop(void);
	void show(void);
	void hide(void);
	friend static LRESULT CALLBACK trayWndProc(HWND, UINT, WPARAM, LPARAM);
};


#endif
