//  hwdeintdefs.h
//
//  definitions
//
//	Copyright (c) 2005 N099
//
#ifndef __HWDEINTDEFS_H__
#define __HWDEINTDEFS_H__

#define TYPE_ALL	0x10000000
#define TYPE_PACKED	0x0000ffff
//packed
#define TYPE_RGB555	0x00000001
#define TYPE_RGB565	0x00000002
#define TYPE_RGB24	0x00000004
#define TYPE_RGB32	0x00000008
#define TYPE_ARGB32	0x00000010
#define TYPE_YUY2	0x00000020
#define TYPE_UYVY	0x00000040
#define TYPE_YVYU	0x00000080
#define TYPE_YUYV	0x00000100
#define TYPE_AYUV	0x00000200
#define TYPE_Y211	0x00000400
#define TYPE_Y41P	0x00000800
#define TYPE_Y411	0x00001000
//planer
#define TYPE_YVU9	0x00010000
#define TYPE_I420	0x00020000
#define TYPE_YV12	0x00040000
#define TYPE_IYUV	0x00080000
#define TYPE_NV12	0x00100000
#define TYPE_NV21	0x00200000
#define TYPE_IMC1	0x00400000
#define TYPE_IMC2	0x00800000
#define TYPE_IMC3	0x01000000
#define TYPE_IMC4	0x02000000

//AR
#define AR_ORIG	 0
#define AR_43	 1
#define AR_169	 2
#define AR_UD	 3
#define AR_H_DEF 45
#define AR_V_DEF 33

//ARflag
#define AR_CHG   0
#define AR_AMC   1
#define AR_STD   2

//Auto detection defaults
#define AD_DEF_CORE      24
#define AD_DEF_PERCENT    3
#define AD_DEF_DURATION  10
#define AD_DEF_ETERM      5

#define AD_MAX_CORE_TH    255
#define AD_MIN_CORE_TH    0
#define AD_MAX_PERCENT_TH 25
#define AD_MIN_PERCENT_TH 0

//configration struct
struct CFG_AR
{
	int ar_mode;
	int ar_h;
	int ar_v;
};

struct CFG_AM2
{
	int use_imedia2;
	int am2_tff;
	int weave;
};

struct CFG_VIF2
{
	int interlace;
	int vif_tff;
	int disp_mode;
};

struct CFG_AUTO
{
	int field;
	int field_flip;
	int interlace;
	int core;
	int i_percent;
	int duration;
	int e_term;
	int sse;
	int vis;
};

struct CFG_MISC
{
	int tray;
	int copy_always;
	int conv_upstream;
	int not_connect_iflg;
};

struct CFG_AL
{
	CLSID al_clsid;
	WCHAR *al_filter_name;
};

struct CONFIG
{
	CFG_VIF2 vif2;
	CFG_AM2  am2;
	CFG_AR   ar;
	CFG_AUTO ad;
	CFG_MISC misc;
	CFG_AL   al;
	int colorspace;
};

#endif /*  __HWDEINTDEFS_H__  */
